<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Open+Sans'>
  <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css'>

  <script src='https://cdnjs.cloudflare.com/ajax/libs/es6-promise/3.2.2/es6-promise.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/react/15.2.1/react.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/react/15.2.1/react-dom.min.js'></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/react-modal/3.5.1/react-modal.min.js"></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.13.1/axios.min.js'></script>
  <script src="https://unpkg.com/babel-standalone@6.15.0/babel.min.js"></script>
  <link rel='stylesheet' href='https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css'>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js'></script>

  <link rel="stylesheet" type="text/css" href="Site.css">
  <link rel="stylesheet" type="text/css" href="Accordin.css">
</head>

<body>

  <section class="menuHam menu__circle">
    <input type="checkbox" id="menu__active" />
    <label for="menu__active" class="menu__active">
      <div class="menu__toggle">
        <div class="iconHam">
          <div class="hamburger"></div>
        </div>
      </div>
      <input type="radio" name="arrow__up" id="degree__up-0" />
      <input type="radio" name="arrow__up" id="degree__up-1" />
      <input type="radio" name="arrow__up" id="degree__up-2" />
      <div class="menu__listings">
        <ul class="circleHam">
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-user"></i></a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-cog"></i></a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#">&nbsp</a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-commenting"></i></a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-trash"></i></a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-battery-4"></i></a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-calendar"></i></a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-cloud"></i></a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-wifi"></i></a>
              </div>
            </div>
          </li>
          <li>
            <div class="placeholder">
              <div class="upside">
                <a href="#" class="button"><i class="fa fa-envelope-o"></i></a>
              </div>
            </div>
          </li>
        </ul>
      </div>
      <div class="menu__arrow menu__arrow__top">
        <ul>
          <li>
            <label for="degree__up-0">
              <div class="arrowHam"></div>
            </label>
            <label for="degree__up-1">
              <div class="arrowHam"></div>
            </label>
            <label for="degree__up-2">
              <div class="arrowHam"></div>
            </label>
          </li>
        </ul>
      </div>
    </label>
  </section>

  <h3 class="MyTitle">Invoices</h3>

  <div id="root"></div>


  <script type="text/babel">

    const REST_API = 'users.json';

    // The root component
    const App = props => (
      <div className="app">
          <UserListContainer />
      </div>
    );

    // Container
    class UserListContainer extends React.Component {

      constructor(props) {
        super(props);
        this.state = {
          users: [{
            name: 'Loading data...'     
          }]
        };
      }

      loadData() {
        axios.get(REST_API).then((response) => {
          //console.log(response.data);
          this.setState({
            users: response.data
          })
        });
      }

      // Life cycles hooks
      // facebook.github.io/react/docs/component-specs.html
      componentWillMount() {};
      componentDidMount() {
        // Data is loaded async, therefore will be inserted after first DOM rendering
        this.loadData();
    
      };
      componentWillReceiveProps(nextProps) {};
      shouldComponentUpdate(nextProps, nextState) {    
        return true;
      };
      componentWillUpdate(nextProps, nextState) {    
      };
      componentDidUpdate(prevProps, prevState) {   
       
          StartAccordin();
       
      };
      componentWillUnmount() {};

      render() {
        return (<UserList users={this.state.users} />);
      };
    }

  function handleClick(e) {
    e.preventDefault();
    ShowModel(e.target.id);
  }


// Presentation
const UserItem = (user, index) => (
  <div key={index} className="accordion__item js-accordion-item">
    <div className="accordion-header js-accordion-header">{(index+1)} . {user.invoiceDate}
              </div>
    <div className="accordion-body js-accordion-body">
      <div className="accordion-body__contents">

        <div className="IconContainer">
            <img src="icon/calendar.png" />
            <div className="IconData"> {user.invoiceDate} </div>
        </div>

        <div className="IconContainer">
          <img src="icon/pay.png" />
          <div className="IconData">{user.totalPrice} </div>
        </div>

        <div className="IconContainer">
          <img src="icon/bank.png" />
          <div className="IconData">{user.account} </div>
        </div>

          <div className="flex">
            <button  onClick={handleClick} id={user.invoiceId} className="bttn">View</button>
          </div>


      </div>
    </div>
  </div>
);

const UserList = props => (
  <div className='accordion js-accordion'>    
        {props.users.map(UserItem)}     
   </div>
  );

  // Render
  ReactDOM.render(
  <App />, document.getElementById('root')
  );

  </script>



</body>

</html>


<script src="Accordin.js"></script>


<div class="modal">
  <div class="modal-overlay modal-toggle" onclick="HideModel()"></div>
  <div class="modal-wrapper modal-transition">
    <div class="modal-header">
      <h2 class="modal-heading" style="color:white;">This is a modal</h2>

      <a href="#" class="close-button" onclick="HideModel()">
        <div class="in">
          <div class="close-button-block"></div>
          <div class="close-button-block"></div>
        </div>
        <div class="out">
          <div class="close-button-block"></div>
          <div class="close-button-block"></div>
        </div>
      </a>
    </div>

    <div class="modal-body">
      <div id="Invoice" class="modal-content">

      </div>
    </div>
  </div>

</div>


<script type="text/babel">

  function ShowModel(ID) {

    axios.get(REST_API).then((response) => {
      
          var Data = null;  

          $.each(response.data, function(k, v) {
              if(v.invoiceId==ID){
                Data = v;
              }
          });

          $('.modal').addClass('is-visible');

              var Hello = React.createClass({            
                  render () {
                      return (
                        <div className="invoice-box1">
                          <table cellPadding="0" cellSpacing="0">
                              <tr className="top1">
                                  <td colSpan='4' className="textCenter">                                    
                                     <img src="https://25po1frvwfa2rxgqp2c93l11-wpengine.netdna-ssl.com/wp-content/themes/speedledger/images/logo-red.svg" className="invoice-img1"/>
                                  </td>
                              </tr>      
                              <tr className="information1">
                                  <td colSpan="4" className="textCenter">
                                      Acccount    :  {Data.account} <br/>
                                  </td>
                              </tr>                  
                              <tr className="information1">
                                  <td colSpan="4">
                                      <table>
                                          <tr>
                                              <td>
                                                  Sender     : <br/>
                                                   {Data.sender.name} <br/>
                                                   {Data.sender.street} <br/>
                                                   {Data.sender.city} <br/>
                                                   {Data.sender.postalcode}
                                                 
                                              </td>                                        
                                              <td>
                                                  Receiver     : <br/>
                                                   {Data.receiver.name} <br/>
                                                   {Data.receiver.street} <br/>
                                                   {Data.receiver.city} <br/>
                                                   {Data.receiver.postalcode}
                                              </td>
                                          </tr>
                                      </table>
                                  </td>
                              </tr>
                              
                              <tr className="heading1">
                                  <td colSpan="3">
                                      Invoice Date
                                  </td>                            
                                  <td>
                                      Pay Date
                                  </td>
                              </tr>
                              
                              <tr className="details1">
                                  <td colSpan="3">
                                      {Data.invoiceDate} <br/>
                                  </td>                            
                                  <td>
                                      {Data.payBy} <br/>
                                  </td>
                              </tr>
                              
                              <tr className="heading1">
                                  <td>
                                      Item
                                  </td>    
                                  <td className="textCenter">
                                      Qty
                                  </td>  
                                  <td className="textCenter">
                                      Vat
                                  </td>                          
                                  <td className="textCenter">
                                      Price
                                  </td>
                              </tr>
                              
                                {Data.lines.map(function(it, index){                                  
                                  return <tr className="item1">
                                        <td>
                                            {it.description}
                                        </td>
                                        <td className="textCenter">
                                            {it.qty}
                                        </td>                            
                                        <td className="textCenter">
                                            {it.vat}
                                        </td>
                                        <td className="textCenter">
                                            {it.price}
                                        </td>
                                    </tr>
                                })}
                            
                              
                              <tr className="total1">
                                  <td colSpan="3"></td>                            
                                  <td>
                                    Total: Kr {Data.totalPrice}
                                  </td>
                              </tr>
                          </table>
                      </div>
                      );
                  }
              });

            
          
                //console.log(response.data);
                const data = { foo: 'bar' };

                var HelloElement = React.createElement(Hello, data);

                var HelloRendered = ReactDOM.render(
                    HelloElement,
                    document.getElementById('Invoice'));
              

            });

      }



  function HideModel() {
    $('.modal').removeClass('is-visible');
  }

</script>




<script>
  $(function () {
    $(".menu__toggle").trigger('click');
  });
</script>